CCTools 2.0

Welcome!

What's new

Licence

Thanks and special mentions

Getting Started

System requirements

Getting help

Program interface

The File menu

Output folder (Ctrl+O)

Settings (F2)

The Tools menu

Backup

Backup ALL

Restore

Show subs

Export subs

Export chapters

Export resources

Show resources

Copy line

Copy all items

Install manager

Select ALL

Select none

Delete selected

Backup ALL

Error codes

! Many common fuctions such as 'Exit' and 'About' are not listed in this documentation since they are self-explanatory

Created with the Personal Edition of HelpNDoc: Effortlessly Convert Your Word Doc to an eBook: A Step-by-Step Guide

Copyright © 2024 by DrLouis (Louis Horvath). All Rights Reserved.


Welcome!

CCTools 2.0 ››

CCTools 2 is a free CapCut tool to assist in getting the max out of your PC installation of CapCut

Made in AutoIT3 , CCTools helps you with the following:

  • Display and extract subtitles made with Auto Captions, visible or not
  • Display and extract resources (images, audio)
  • Export chapters for use in YouTube (using CapCut's markers)
  • Backup and restore your projects individually using 7-zip
  • Backup all your projects in one go (experimental)
  • Delete older versions of CapCut and enable you to make a backup before doing so. Note : I saved ~90gb of drive space with that function alone!

This program is absolutely free and you get the full source code to see what is done.

Things you need to know:

This only works on Windows (sorry mobile, Linux or Mac users ...)

Works on CapCut version 3.5+ ... will run on older versions but some functions might throw an error.

You will need to install AutoIT for this program to run

Requires a recent version of 7-zip in order to compress and decompress archives

This is no speed demon so extracting subs takes a few seconds for small projects to a few minutes for beefier ones (you will see the lines appear as they are extracted).

Fully tested on a few machines but it's still experimental software! Not recommended for mission critical setups!

CCTools is in A3X format. If you've installed AutoIT, just double-click the file and the program runs.

The source file is fully available . Every line is commented so you know exactly what's going on.

If you're having issues PLEASE let me know so I can fix them! Also let me know what's your version of CapCut, of Windows and tell me as much as you can about the issue you are having.

Thanks!

Created with the Personal Edition of HelpNDoc: Effortlessly Create High-Quality Documentation with a Help Authoring Tool


What's new

CCTools 2.0 ››

CCTools 2 is a complete rewrite and is the first public version.

[2.0.2.0]

  • Large enough changes for a version change. --> Reprogramming of _Show_Resources(), integrating help in most GUI
  • _Show_Resources() : Indicate "[NOT FOUND]" at the beginning of filename and tip, esthetic changes to label h-positionning. Tried centering text vertically within label and failed. Lightened background a little bit.
  • Alternate label background color in _Show_Resources(). Include not found too.
  • $aRes wrong size after second use. Forcing ReDim when fetching resources
  • Test ListView for _Show_Resources() ... WORKS GREAT!
  • Have help page open with the proper context page --> https://help-info.de/en/htmlhelp/htmlhelp-command-line --> hh.exe D:\_temp\CHM-example.chm::/Garden/tree.htm
  • Get Install Manager to use ListView too (and then no use for GUIScrollBars_Ex anymore!)
  • Simplified $aGUI_Ver[999]. Now only 1 dimension.
  • Remove all traces of GUIScrollBars_Ex. ListView is the king.
  • NO : Find a way to merge _Backup_Project() and _Backup_Project2() --> Issue with passing parameters with a function called from _GuiCtrlSetOnEvent(). Perhaps no solution ... not strapped for space anyways and little gain.
  • Go through comments and add some when they are missing, correcting when there's an error and making it more precise when possible
  • NO : SETTINGS : Show ALL CapCut resources (created / imported by CapCut). But will not backup the files --> Always show all CapCut resources but still don't back them up
  • _Show_Resources() : Make background blue and indicate [Internal] for all internal (downloaded from inside CapCut) resources
  • _Export_Resources() : Filter file list and exclude missing and internal files
  • Group functions and make a banner for each group to facilitate "spotting" LOL --> Not perfect but will help a lot
  • Deleted _Project_Name_7z() that was not used anywhere.
  • Deleted _List_7z() that was only used by _Project_Name_7z().
  • Preparing way for help file being opened on the proper page when called --> _Open_Help() & _Load_Ver()
  • Open the "About" screen if "hh.exe" is not found in the Windows directory
  • Added $SS_LEFTNOWORDWRAP to GuiCtrlLabel in _Load_Ver() --> takes care of pixels below some lines
  • SHOW RESOURCES : Find a way to flag resources that cannot be found (deleted) --> red background --> MUST ROLL MY OWN GUI
  • Fixed help and hooked it up with all GUIs where pressing F1 makes sense.
  • - Edit Help file to convey the changes
  • - _Backup_Project() and _Backup_Project2() should filter files before exporting
  • - Regression? _Export_chapters() last chapter time 0, reads font name (!) on older .JSON files ... rewrite required. Note : same error going back to v. 2.0.0.0 --> Changed '"mark_items":' to '"mark_items":[{'
  • - _Export_chapters() should test to see if there's chapters before offering to export file ...
  • - Document all error codes in help file
  • - _Export_Chapters() : use Number() instead of Eval()
  • - Write error # in MsgBox

[2.0.1.2]

  • Add "Install manager" that enable user to delete old versions of CapCut
  • Modify GUI to enable Install manager
  • AutoIT icon is now hidden - program is mature and shouldn't hang in weird places LOL
  • NO : Concatenate all GUI into a same array? $aGUI[n][x] --> X : 1 = main GUI, 2 = settings, 3 = about, etc. --> Will make program almost impossible to decipher and lead to wasted RAN
  • Integrate "GUIScrollbars_Ex" so no include necessary (required to share CCTools2 source with one single file)
  • # Include cleanup
  • Move global variables in "GUIScrollbars_Ex" to the top of program
  • Add link to "GUIScrollbars_Ex" in the "About" screen. Do BEFORE publishing the code.
  • "Loading" cursor while processing folders in _Load_Ver()
  • Tell user backup during _Load_Ver() might be huge and take a long time.
  • Make "Manage Install" without selecting a project but unavailable if no output folder selected
  • Crashes if you want to see project resources and all resources are missing. --> _Load_Resources --> $iMatrice starts at 1 but program was expecting 0 to say no valid resources found.
  • DUH. Wrong hyperlink for CCTools2 page on Reddit
  • Settings greyed out with default parameters. Should always be available (didn't I fix this before?)
  • GEEEZUS. Selecting the root folder is possible while selecting output folder. Check for "::{20D04FE0-3AEA-1069-A2D8-08002B30309D}" and just ignore the selection
  • Checking for valid output folder and valid project at startup, blanking if required. Not required for project : always starts blank
  • Find out where the combo box hack is from : GaryFrost --> https://www.autoitscript.com/forum/topic/47709-combobox-onchange-event-not-triggered-after-typing/
  • Add .CHM help file during compile --> Through FileInstall()
  • Show resources should not skip files if they don't exist on the drive. --> 7-Zip is the one to deal with the missing pictures and will tell user about it.
  • Missing dash when exporting chapters (chapters wouldn't appear on YouTube
  • Create a help file. This could be an online web page --> Naah it's a .CHM file created with HelpNDoc --> CCTools2.chm
  • NO : Output Folder : prefer home instead of root? --> No valid option found, tried many CSLIDs ...
  • Better historic in documentation by going through old saved versions --> Will start with 2.0.1.1
  • Keyboard shortcuts for Install manager (at least Ctrl-N and Ctrl-A)
  • Possible regression : [Dracomora] subs come out as "start --> length" instead of "start --> end" --> Mixup during the creation of the .SRT file. Probably induced when optimizing code?
  • Backup button was on if no project was selected. --> _Unselected() modified (again!)
  • NO : Try to meld both _Compress_7z() and _Extract_7z() if it's worthwhile --> Too many differences and savings are not sufficiently significant.
  • Open "About" if .CHM file is not found

[2.0.1.1] Several bug fixes, mostly edge cases but some ridiculous omissions too

[2.0.1.0] Introduction of the capacity to remove old versions of CapCut

[2.0.0.1] Bug fix : suggested filename was writing wrong month in filename

[2.0.0.0] Initial release

Created with the Personal Edition of HelpNDoc: Elevate Your Documentation Process with HelpNDoc's Advanced Features


License

CCTools 2.0 ››

CCTools 2

Author : Louis Horvath

WWW : https://www.autoitscript.com/forum/topic/211889-cctools-20-a-capcut-tool-in-autoit3/

________________________________________________________

END-USER LICENSE AGREEMENT FOR THIS SOFTWARE

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the mentioned author of this Software for the software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

The definition of SOFTWARE PRODUCT does not includes any files generated by the SOFTWARE PRODUCT, such as compiled script files in the form of standalone executables.

1. GRANT OF LICENSE

This EULA grants you the following rights:

Installation and Use. You may install and use an unlimited number of copies of the SOFTWARE PRODUCT.

Reproduction and Distribution. You may reproduce and distribute an unlimited number of copies of the SOFTWARE PRODUCT either in whole or in part; each copy should include all copyright and trademark notices, and shall be accompanied by a copy of this EULA. Copies of the SOFTWARE PRODUCT may be distributed as a standalone product or included with your own product.

Commercial Use. You may use the SOFTWARE PRODUCT for commercial purposes.

2. COPYRIGHT

All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by the Author of this Software. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material.

MISCELLANEOUS

If you acquired this product in the United Kingdom, this EULA is governed by the laws of the United Kingdom. If this product was acquired outside the United Kingdom, then local law may apply.

Should you have any questions concerning this EULA, or if you desire to contact the author of this Software for any reason, please contact him/her at the email address mentioned at the top of this EULA.

LIMITED WARRANTY

1. NO WARRANTIES

The Author of this Software expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or non-infringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.

2. NO LIABILITY FOR DAMAGES

In no event shall the author of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of this Software has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

[END OF LICENSE]

Created with the Personal Edition of HelpNDoc: Elevate Your Documentation with HelpNDoc's Project Analyzer Features


Thanks and special mentions

CCTools 2.0 ››

This program uses code from the following sources :

AutoIt3 : This is the language in which CCTools 2.0 is programmed. I also stole their license and adapted it :)

GUIScrollbars_Ex from Melba23 : Required in order to easily create scroll bars in certain GUIs (not used anymore as version 2.0.2.0.

_Combo_Changed from GaryFrost : Hack so that AutoIt will notice when a combo box has been been changed

This program requires the following software to be installed to function :

CapCut : The reason for this program

7-zip : Required to compress and decompress project files

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Getting Started

CCTools 2.0 ››

Everything you need to get you started with CCTools 2

System requirements

Getting help

Program interface

Created with the Personal Edition of HelpNDoc: Make Documentation Review a Breeze with HelpNDoc's Advanced Project Analyzer


System requirements

CCTools 2.0 ›› Getting Started ››

CCTools 2 can only work with a proper installation of CapCut and 7-zip.

Therefore CCTools2 has the same minimum requirements :

  • Operating system: Windows 10 or above.
  • Processor: Intel Core i3 or above.
  • Memory: 8 GB RAM or above.
  • Graphics: Intel HD Graphics 4000 or above.
  • Storage: 2 GB available space or above.

Please note 8 GB RAM is a minimum and is not optimal for 7-zip. 16 GB is the suggested amount of memory.

As for storage, you never have enough! :)

Created with the Personal Edition of HelpNDoc: Qt Help documentation made easy


Getting help

CCTools 2.0 ›› Getting Started ››

It is possible to get the latest version, post comments, questions and bug reports on the following pages :

On Reddit

On the AutoIt Forum

Created with the Personal Edition of HelpNDoc: Don't be left in the past: convert your WinHelp HLP help files to CHM with HelpNDoc


Program interface

CCTools 2.0 ›› Getting Started ››

CCTools 2 continues my "small is beautiful" approach in terms of GUI.

Less clutter. Smaller footprint.

In order to take full advantage of all the functions in this program you will need to set the following :

  • An output folder , so CCTools 2 will know where to put the output files
  • A CapCut project name so CCTools 2 will know what projects to work upon.

If you have not selected an output folder or if you have not selected a project name then some options will be grayed out.

The folders by the right of the GUI will open :

  • The project folder where the .JSON files are stored (you are unlikely to need this if you are not a technician)
  • The output folder, where CCTools will store the files CCTools creates.

Many of the buttons on the interface are also available from within the menu

  • Backup
  • Restore
  • Show resources
  • Show subs
  • Export subs
  • Export chapters

... with the notable exception of the following functions :

  • Backup ALL
  • Export resources
  • Install manager

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


The File menu

CCTools 2.0 ››

Anything related to files and settings

Output folder (Ctrl+O)

Settings (F2)

Created with the Personal Edition of HelpNDoc: Say Goodbye to Documentation Headaches with a Help Authoring Tool


Output folder (Ctrl+O)

CCTools 2.0 ›› The File menu ››

In order to compress or extract data, CCTools requires you to select an output folder.

When selecting the "Output folder" menu item, clicking on the red "Click here to choose an output folder" prompt or when typing Ctrl+O you are presented with the following screen :

This is a standard Windows folder selector and you are at the root of your computer (unless there was a previous selected folder, at which point you are brought to that folder).

If you are not familiar with the Windows file system please consult this webpage . It's a bit of a long read but you will see this menu a lot. Better learn about it now.

Please note the above screenshot is from a french Windows 11 machine, using the "Dark" theme. Your screen might differ but it should be mostly the same.

Use the navigation pane on the left to quickly get to your regular folders ("Documents", "Images", "Video", etc.) or use the drive, file and folder listing to find a proper output drive and / or folder.

YOU CANNOT SELECT THE ROOT as your output folder. You need to specify a drive or a specific folder.

Once you have selected a proper output folder, CCTools 2 will remember your selection until you decide to change it (or until you reset the program to it's default values through the Settings screen).

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Settings (F2)

CCTools 2.0 ›› The File menu ››

Very much a standard staple of most modern program, the setting screens contains a few options to help you get the most out of this tool :

  • Change the output folder : The same as Control-O
  • Don't nag during backup but still warn about low space : when unchecked, a warning screen apears each time you attempt to backup a project. CCTools however will ALWAYS tell you when you attempt to backup a project or export data and free space is less than 5GB on the output drive.
  • Skip disabled subtitles : When exporting videos to YouTube you usually want YouTube to handle the subtitles instead of cooking them into the video. You could delete them after using Auto Caption or you could simply disable the track by clicking on the "eye". By default, CCTools extracts all the captions it finds.
  • Reset default : Use this button when you want CCTools to start anew. Upon clicking on that button you will get the following screen. Click "Yes" to reset CCTools to it's initial values. You will have to select a project and your output folder again.

Created with the Personal Edition of HelpNDoc: Benefits of a Help Authoring Tool


The Tools menu

CCTools 2.0 ››

All the tools you need. And then some.

Backup

Backup ALL

Restore

Show subs

Export subs

Export chapters

Export resources

Show resources

Copy line

Copy all items

Install manager

Select ALL

Select none

Delete selected

Backup ALL

Created with the Personal Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Backup

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function requires both a selected project and an output folder .

Sadly, CapCut does not contain a way to backup a project for the moment.

Fear not! CCtools does this through the use of 7-zip, one of the most powerful compression tools on the market.

To put it succinctly, CCTool's backup function takes the following files and stores them into an archive :

  • Picture files
  • Movie files
  • Actual CapCut project files (in .JSON format)

! IMPORTANT : CapCut's project files cannot be moved so the archive contains the absolute path and filename and must be restored on the same drive and folder. You can, however, move the archive created by CCtools wherever you want.

Each file ends with the ".CCTOOLS.7z" extension which means you can manually use 7-zip to extract whatever resource you need. If you are unfamiliar with 7-zip, please consider reading this 7-zip documentation .

Please note you have to set the output folder and a project in order to be able to do a backup.

There are three steps to the backup process :

  1. Program checks to see if CapCut is running. A backup can only proceed if CapCut is closed.
  2. Program suggests a filename that contains the project name and the current date and time. This is optional. You can use the suggested filename (enter) or type in your own.
  3. Program checks the currently available space and alerts user if the archive will not fit. Since compression of video material is very low, expect archive size to be very close to the size of it's content.
  4. Program calls 7-zip and the actual backup proceeds and 7-zip's interface appears.

If any errors occur during the backup operation, they are shown in the 7-zip interface.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Backup ALL

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function requires both a selected project and an output folder .

! This is still very experimental so please read attentively this topic.

If you have a large amount of projects (full count found in the About screen!) then backing them up individually can be a chore.

In comes Backup ALL.

Since compressing video files will, on average, produce little to no compression, always assume you will need as much space to backup a project as the space it now uses. So this backup should be on an an external drive that you selected during the Output folder screen.

Backup ALL will go through all your projects one by one and alert you as soon as space is low on the output drive.

As is the case with the regular 7-zip compression, you will see most of the error messages in the 7-zip interface.

The backup process stops when either all projects have been backed up or when there is a error returned by 7-zip

Created with the Personal Edition of HelpNDoc: Eliminate the Struggles of Documentation with a Help Authoring Tool


Restore

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function requires both a selected project and an output folder .

As the name implies, this will restore an archive previously created with CCTools 2.

Due to the limitations built into CapCut, this archive is automatically extracted to the same drive(s) and folder(s).

Each file ends with the ".CCTOOLS.7z" extension which means you can manually use 7-zip to extract whatever resource you need. If you are unfamiliar with 7-zip, please consider reading the 7-zip documentation .

! Restore will also work with archives created by Install manager

During the restore process, 7-zip might prompt you to accept to to overwrite files assuming the original files are already present on your system. In a future version of CCTools I might force 7-zip to always overwrite files but I found giving you the choice is actually a better idea. It gives you more control on what is restored. You might also need to start CCtools2 in administrator mode .

Created with the Personal Edition of HelpNDoc: Elevate Your CHM Help Files with HelpNDoc's Advanced Customization Options


Show resources

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function only requires a selected project.

It isn't always easy to know where CapCut gets the files it needs in order to assemble a video.

Show resources lists all the files for you and you can easily copy the full path and filename of either a single line or all the lines.

Lines in red indicate a file that cannot be found (it is either missing or displaced).

Lines in blue indicate an internal media file downloaded through CapCut itself.

Both blue and red files are not backed up as part of a backup archive.

Future versions of CCTools will enable the exportation of CapCut's internal media files.

For the moment you can copy the line using Ctrl-C or the right mouse button and paste it in Windows's file manager.

! Show resources does not require an output folder

Created with the Personal Edition of HelpNDoc: Make the switch to CHM with HelpNDoc's hassle-free WinHelp HLP to CHM conversion tool


Copy line (Ctrl+C)

CCTools 2.0 ›› The Tools menu ›› Show resources ››

Pressing Ctrl-C or the left mouse button after selecting an item will copy the full path and filename into the clipboard.

Created with the Personal Edition of HelpNDoc: Maximize Your Documentation Capabilities with a Help Authoring Tool


Copy all items (Ctrl+A)

CCTools 2.0 ›› The Tools menu ›› Show resources ››

Pressing Ctrl-A will copy the full path and filename of all the items in the list into the clipboard.

Created with the Personal Edition of HelpNDoc: Effortlessly optimize your documentation website for search engines


Show subs

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function only requires a selected project.

Subtitles (also known as captions) are the reason for the creation of CCTools. As of version 3.60b4 it not possible to export subtitles on the free version of CapCut anymore. Show subs and Export subs get around that limitation.

! In order to be found by CCTools, subtitles have to be created using the Auto Caption function in CapCut

By default, Show subs will show all subtitles. In certain circumstances it is necessary to skip subtitles when they are hidden (or the track they are on is hidden). That option can be toggled in the Settings menu .

Extracting subtitles is moderately slow but while CCTools is working you should see each line appear in the interface. Once the extraction is done, you are presented with an array where you can copy the data into the clipboard.

Please note Show subs and Export subs show the subtitles in the .SRT format .

Created with the Personal Edition of HelpNDoc: Easy Qt Help documentation editor


Export subs

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function requires both a selected project and an output folder .

Subtitles (also known as captions) are the reason for the creation of CCTools. As of version 3.60b4 it not possible to export subtitles on the free version of CapCut anymore. Export subs and Show subs get around that limitation.

! In order to be found by CCTools, subtitles have to be created using the Auto Caption function in CapCut

By default, Export subs will show all subtitles. In certain circumstances it is necessary to skip subtitles when they are hidden (or the track they are on is hidden). That option can be toggled in the Settings menu .

Extracting subtitles is moderately slow but while CCTools is extracting them you should see each line appear in the interface. Once the extraction is done, you are invited to write the result to a file. Please note Export subs and Show subs show the subtitles in the .SRT format .

Created with the Personal Edition of HelpNDoc: Revolutionize your documentation process with HelpNDoc's online capabilities


Export chapters

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function requires both a selected project and an output folder .

New in CapCut version 3.6 are markers. Markers are useful to comment your video. But there are other uses too.

Davinci Resolve uses it's markers to create a YouTube friendly chapter delimiter file. Export chapters does just that.

! For the moment Export chapters will export ANY marker of ANY color and on any item.

Seen above is an example of a marker in CapCut. You get that marker by putting the cursor at the wanted moment on the timeline and clicking on the pentagon-shaped icon on the tool bar, right above.

Once that's done, left-click on the marker and select "Edit marker"

This will bring you to the Edit marker screen :

It is also possible to get the same result by putting the cursor at the wanted moment and pressing 'M' twice.

Put in the proper name for this section and repeat for all sections you want to show up in YouTube.

Now go to YouTube Studio and tell YouTube to automatically create the chapters for that video.

After you upload your video, go to the bottom of the screen and click on "SHOW MORE". This will show you all the modifiable settings for your video :

Make sure "Allow automatic chapters" is enabled.

LAST STEP! Once you've exported the chapters, open them with your favorite text editor (I prefer Notepad++ ) copy the text and paste it in your video description (the section right under the title). Your clip now has chapters! CCTools will extract them and ask you where to put the file.

Created with the Personal Edition of HelpNDoc: From Word to ePub or Kindle eBook: A Comprehensive Guide


Export resources

CCTools 2.0 ›› The Tools menu ››

[PROJECT] [OUTPUT FOLDER]

This function requires both a selected project and an output folder .

It is sometimes useful to export media files for a given project without exporting the project files themselves. Export resources does just that. You will get a flat .7z file (no sub-directories) containing uniquely the media files (.JPG, .GIF, .PNG, .MP4, .MP3, etc.).

Just select the suggested filename by pressing "Enter" or type in your own filename. The 7-zip archive is then created in the Output Folder and you are good to go.

In a future version of CCTools, Export resources will be able to export some image and video resources used internally by CapCut (such as the items found in the media library)

Created with the Personal Edition of HelpNDoc: Import and export Markdown documents


Install manager

CCTools 2.0 ›› The Tools menu ››

Manage older versions of CapCut

! Deleting older versions of CapCut is still experimental. Although all the tests indicate it is completely safe, it has not been tested with versions below 3.3. Future versions of CapCut might also break. Please use '' Backup ALL '' in the ''Tool'' menu before proceeding.

Select ALL

Select none

Delete selected

Backup ALL

Created with the Personal Edition of HelpNDoc: Streamline Your Documentation Process with HelpNDoc's Intuitive Interface


Select ALL (Ctrl+A)

CCTools 2.0 ›› The Tools menu ›› Install manager ››

Selects all the older versions of CapCut.

You can also select versions individually by clicking on the check marks at the left of each version.

! The current version of CapCut cannot be selected, since you would not want to have it deleted!

Created with the Personal Edition of HelpNDoc: Maximize Your Documentation Output with HelpNDoc's Advanced Project Analyzer


Select none (Ctrl+N)

CCTools 2.0 ›› The Tools menu ›› Install manager ››

Deselects all versions of CapCut.

You can also deselect versions individually by using the check marks at the left of each version.

Created with the Personal Edition of HelpNDoc: Streamline Your Documentation Process with HelpNDoc's Project Analyzer


Delete selected (Del)

CCTools 2.0 ›› The Tools menu ›› Install manager ››

Will delete each selected version of CapCut.

Since these versions are stored in the Program Files folder, the system might prompt you to authorize the deletion.

You might also need to run CCTools 2.0 as an administrator by left-clicking the program and selecting "Run as administrator".

! Deleted versions are sent to the Windows recycle bin.

Created with the Personal Edition of HelpNDoc: Effortlessly Create High-Quality Documentation with a Help Authoring Tool


Backup ALL

CCTools 2.0 ›› The Tools menu ›› Install manager ››

[PROJECT] [OUTPUT FOLDER]

This function only requires an output folder .

Backup ALL, as the name indicates, will backup all versions of CapCut to the folder specified in Output Folder , no matter if they are selected or not in the Install manager .

Backup ALL is not affected by the current project although it requires a valid output folder.

Please note each version of CapCut is approximately 1,25 GB so the resulting 7-zip archive might be pretty large.

! You can use the Restore function from the Tool menu to restore these versions to your system

Created with the Personal Edition of HelpNDoc: Streamline Your Documentation Process with HelpNDoc's Intuitive Interface


Error codes

These error codes are there to help anyone reading the code understand what happened when program exits.

Note : Program will return the last non-fatal error code or a fatal error code. This code can be seen by running the program through the Scite editor.

NON-FATAL (program can continue running)

  • 3 - CapCut currently running
    While it might still work, it's better to run CCTools2 when CapCut is closed.

  • 7 - User opted to exit program while selecting output folder
    As the description says, user chose to exit.

  • 8 - Cannot load 'draft_meta_info.json' due to a read error.
    Either the file is in use or there's an issue with the actual file.

  • 9 - Cannot load 'draft_content.json' due to a read error.
    Either the file is in use or there's an issue with the actual file.

  • 10 - No subtitles found during extraction
    This can happen if you elected not extract hidden subtitles (see Settings ) or if your project contains only text fields. You must use Auto Captions in order to have valid subtitles.

  • 11 - Cannot write settings to the registry
    This error usually occurs if your account is locked down or if there is software preventing you from writing to the registry.

  • 12 - User opted to exit program while selecting save filename
    As the description says, user chose to exit.

  • 13 - Cannot write subtitles to file
    Program cannot write to the selected output directory. Either that directory is on a read-only device or you do not have the rights to write to that directory.

  • 14 - Unexpected internal error writing subtitles to file
    An error occurred during the extraction of subtitles and AutoIT cannot write it to file.

  • 15 - No chapters found in this project
    No chapters were found therefore no file was created.

  • 16 - Cannot write chapters to output folder
    Program cannot write to the selected output directory. Either that directory is on a read-only device or you do not have the rights to write to that directory.

  • 18 - Project contains no resources
    CCTools2 did not find any resources in the selected project. Is this an empty project file?

  • 19 - Cannot write file list to disk
    Program cannot write to the selected output directory. Either that directory is on a read-only device or you do not have the rights to write to that directory.

  • 20 - Cannot load project files
    Either the file is in use or there's an issue with the actual file.

  • 21 - Not enough space
    The drive on which you selected the output folder does not contain enough space in order to create a file OR space ran out while writing to the drive.

  • 22 - Cannot find project name in 7z archive
    Unused error code.

  • 23 - No version folders to parse in CapCut install directory
    This should not happen. CCTools found no version folders in it's install directory. There should be at least one. You might need to reinstall CapCut.

  • 24 - Cannot extract chapters from project made with version < 3.6
    Project was made with an older version of CapCut.

  • 25 - Incompatible .JSON file
    The selected .JSON file did not indicate the program version. Either it's a corrupt .JSON file or you are using a newer version of CapCut and that information has been moved.

  • 26 - No resources to export
    Either all resources are missing or all resources are internal.

FATAL (Program exits)

  • 1 - CapCut isn't installed
    CCTools2 is pretty useless without CapCut . Click link to install.

  • 2 - CapCut executable cannot be found
    This is not normal. Either you are using a newer version of CapCut and the executable has been moved or something is wrong with your CapCut install.

  • 4 - Can only run CCTools once
    Program will exit immediately if CCTools2 is already running.

  • 5 - Cannot load project list
    CCTools2 cannot find any projects where CapCut says they are going to be. You need at least one project.

  • 6 - No projects found

  • 17 - 7-Zip not installed
    CCTools2 requires 7-Zip in order compress and extract archives. Please install it .

Created with the Personal Edition of HelpNDoc: Maximize Your CHM Help File Capabilities with HelpNDoc